QGIS Application - Bug report #14528
QGIS crashes on loading keyboard shortcuts XML
2016-03-18 10:29 AM - Adam Fine

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No
Operating System: Linux 64-bit/ OS X Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 22501

Description

| created a shortcuts xml file in QGIS on Linux and attempted to load the same shortcuts file on an OS X machine. QGIS on OS X crashes
with a seg fault trying to load the file:

Warning: QCss::Parser - Failed to load file "/style.qss”

2016-03-18 14:21:30.490 QGIS[38811:2070688] modalSession has been exited prematurely - check for a reentrant call to
endModalSession:

Segmentation fault: 11

both machines are running 2.14.0

The shortcuts .xml is attached.

Associated revisions

Revision 76296¢82 - 2016-03-19 09:36 AM - Matthias Kuhn

Don't crash when some shortcuts can't be loaded

Fix #14528

Revision addcf3cb - 2016-03-23 09:38 PM - Matthias Kuhn

Don't crash when some shortcuts can't be loaded

Fix #14528

(cherry picked from commit 76296c82e7e9225c6be3c00d48b4bf748ca5daa8)

History

#1 - 2016-03-18 10:43 AM - Adam Fine
- File debug_20160318_1400.txt added

and the crash report from OS X.

#2 - 2016-03-19 01:37 AM - Anonymous

2025-07-02 12




- Status changed from Open to Closed

Fixed in changeset commit:"76296c82e7e9225c6be3c00d48b4bf748ca5daa8".

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown

Files

Adamv2.xml 3.27 KB 2016-03-18 Adam Fine

debug_20160318_1400.txt 114 KB 2016-03-18 Adam Fine
